package com.ruoyi.bst.attach.service.impl;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import org.springframework.stereotype.Service;

import com.ruoyi.bst.attach.domain.Attach;
import com.ruoyi.bst.attach.service.AttachConverter;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.StringUtils;

@Service
public class AttachConverterImpl implements AttachConverter {
    
    @Override
    public List<Attach> toPoListByCreate(Attach data) {
        if (data == null || StringUtils.isBlank(data.getUrl())) {
            return Collections.emptyList();
        }

        String[] urls = data.getUrl().split(",");
        List<Attach> result = new ArrayList<>();
        for (String url : urls) {
            Attach po = new Attach();
            po.setUrl(url);
            po.setName(this.getFileName(url));
            po.setCreateId(data.getCreateId());
            po.setClassifyId(data.getClassifyId());
            po.setCreateId(SecurityUtils.getUserId());
            po.setDeptId(data.getDeptId());
            result.add(po);
        }
        
        return result;
    }

    @Override
    public Attach toPoByUpdate(Attach data) {
        if (data == null) {
            return null;
        }

        Attach po = new Attach();
        po.setId(data.getId());
        po.setClassifyId(data.getClassifyId());
        po.setName(data.getName());
        po.setDeptId(data.getDeptId());
        return po;
    }

    private String getFileName(String url) {
        return url.substring(url.lastIndexOf("/") + 1);
    }
}