package com.ruoyi.bst.customer.domain.enums;

import java.util.List;

import com.ruoyi.common.utils.collection.CollectionUtils;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum CustomerStatus {

    POTENTIAL("1", "潜在"),
    INTENTION("2", "意向"),
    TRANSACTION("3", "成交"),
    INVALID("4", "失效");

    private final String status;
    private final String name;

    /**
     * 跟进中的客户状态
     * @return
     */
    public static List<String> following() {
        return CollectionUtils.map(CustomerStatus::getStatus, POTENTIAL, INTENTION, TRANSACTION);
    }

}
