package com.ruoyi.bst.message.domain;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 消息对象 bst_message
 *
 * @author ruoyi
 * @date 2025-02-22
 */
@Data
public class Message extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "接收人")
    @ApiModelProperty("接收人")
    private Long userId;

    @Excel(name = "业务类型")
    @ApiModelProperty("业务类型")
    private String bstType;

    @Excel(name = "业务ID")
    @ApiModelProperty("业务ID")
    private Long bstId;

    @Excel(name = "标题")
    @ApiModelProperty("标题")
    private String title;

    @Excel(name = "内容")
    @ApiModelProperty("内容")
    private String content;

    @Excel(name = "是否已读")
    @ApiModelProperty("是否已读")
    private Boolean isRead;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "已读时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("已读时间")
    private LocalDateTime readTime;

}
