package com.ruoyi.bst.message.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.message.domain.Message;
import com.ruoyi.bst.message.domain.MessageQuery;
import com.ruoyi.bst.message.domain.MessageVO;

/**
 * 消息Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-22
 */
public interface MessageMapper
{
    /**
     * 查询消息
     *
     * @param id 消息主键
     * @return 消息
     */
    MessageVO selectMessageById(Long id);

    /**
     * 查询消息列表
     *
     * @param query 消息
     * @return 消息集合
     */
    List<MessageVO> selectMessageList(@Param("query")MessageQuery query);

    /**
     * 新增消息
     *
     * @param message 消息
     * @return 结果
     */
    int insertMessage(Message message);

    /**
     * 修改消息
     *
     * @param message 消息
     * @return 结果
     */
    public int updateMessage(@Param("data") Message message);

    /**
     * 删除消息
     *
     * @param id 消息主键
     * @return 结果
     */
    int deleteMessageById(Long id);

    /**
     * 批量删除消息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMessageByIds(Long[] ids);

    /**
     * 根据条件更新
     * @param data
     * @param query
     * @return
     */
    int updateByQuery(@Param("data") Message data, @Param("query") MessageQuery query);

    /**
     * 查询数量
     * @param query
     * @return
     */
    int selectCount(@Param("query") MessageQuery query);

    /**
     * 批量插入消息
     * @param list
     * @return
     */
    int batchInsert(@Param("list") List<Message> list);
}
