package com.ruoyi.bst.projectMember.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.projectMember.domain.ProjectMember;
import com.ruoyi.bst.projectMember.domain.ProjectMemberQuery;
import com.ruoyi.bst.projectMember.domain.ProjectMemberVO;

/**
 * 项目成员Mapper接口
 *
 * @author ruoyi
 * @date 2025-03-06
 */
public interface ProjectMemberMapper
{
    /**
     * 查询项目成员
     *
     * @param id 项目成员主键
     * @return 项目成员
     */
    ProjectMemberVO selectProjectMemberById(Long id);

    /**
     * 查询项目成员列表
     *
     * @param query 项目成员
     * @return 项目成员集合
     */
    List<ProjectMemberVO> selectProjectMemberList(@Param("query")ProjectMemberQuery query);

    /**
     * 新增项目成员
     *
     * @param projectMember 项目成员
     * @return 结果
     */
    int insertProjectMember(ProjectMember projectMember);

    /**
     * 批量新增项目成员
     */
    int batchInsert(@Param("list") List<? extends ProjectMember> list);

    /**
     * 批量修改项目成员
     */
    int batchUpdate(@Param("list") List<? extends ProjectMember> list);

    /**
     * 修改项目成员
     *
     * @param projectMember 项目成员
     * @return 结果
     */
    public int updateProjectMember(@Param("data") ProjectMember projectMember);

    /**
     * 批量删除项目成员
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProjectMemberByIds(@Param("ids") List<Long> ids);
}
