package com.ruoyi.bst.task.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.task.domain.Task;
import com.ruoyi.bst.task.domain.TaskQuery;
import com.ruoyi.bst.task.domain.TaskVO;
import com.ruoyi.common.vo.IntegerIntegerVO;
import com.ruoyi.common.vo.LongIntegerVO;
import com.ruoyi.common.vo.StringIntegerVO;

/**
 * 任务Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-22
 */
public interface TaskMapper
{
    /**
     * 查询任务
     *
     * @param id 任务主键
     * @return 任务
     */
    TaskVO selectTaskById(Long id);

    /**
     * 查询任务列表
     *
     * @param query 任务
     * @return 任务集合
     */
    List<TaskVO> selectTaskList(@Param("query")TaskQuery query);

    /**
     * 新增任务
     *
     * @param task 任务
     * @return 结果
     */
    int insertTask(Task task);

    /**
     * 修改任务
     *
     * @param task 任务
     * @return 结果
     */
    public int updateTask(@Param("data") Task task);

    /**
     * 批量删除任务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int logicDel(@Param("ids") List<Long> ids);

    /**
     * 查询任务数量
     * @param query
     * @return
     */
    List<StringIntegerVO> selectCountGroupByStatus(@Param("query") TaskQuery query);

    /**
     * 查询任务数量
     * @param query
     * @return
     */
    int selectCount(@Param("query") TaskQuery query);

    /**
     * 查询任务数量
     * @param query
     * @return
     */
    List<LongIntegerVO> selectCountGroupByProject(@Param("query") TaskQuery query);

    /**
     * 根据条件更新任务
     * @param data
     * @param query
     * @return
     */
    int updateByQuery(@Param("data") Task data, @Param("query") TaskQuery query);

    /**
     * 查询任务类型数量
     * @param query
     * @return
     */
    List<StringIntegerVO> selectCountGroupByType(@Param("query") TaskQuery query);

    /**
     * 查询参与人任务数，并按参与人ID分组
     * @param query
     * @return
     */
    List<LongIntegerVO> selectCountGroupByMemberUserId(@Param("query") TaskQuery query);
}
