package com.ruoyi.bst.task.service;

import java.util.Collections;
import java.util.List;

import com.ruoyi.bst.task.domain.TaskVO;

public interface TaskAssembler {

    /**
     * 组装提交列表
     * @param list 任务列表
     */
    void assembleSubmitList(List<TaskVO> list);

    /**
     * 组装负责人列表
     * @param list 任务列表
     */
    void assembleMemberList(List<TaskVO> list);

    default void assembleMemberList(TaskVO vo) {
        this.assembleMemberList(Collections.singletonList(vo));
    }

    /**
     * 组装项目成员列表
     * @param vo 任务VO
     */
    default void assembleProjectMemberList(TaskVO vo) {
        this.assembleProjectMemberList(Collections.singletonList(vo));
    }

    /**
     * 组装项目成员列表
     * @param list 任务列表
     */
    void assembleProjectMemberList(List<TaskVO> list);

}
