package com.ruoyi.bst.task.service;

import java.util.List;

import com.ruoyi.bst.task.domain.TaskVO;

public interface TaskValidator {

    /**
     * 校验用户是否能提交任务
     * @param id 任务ID
     * @param userId 用户ID
     * @return 是否能提交
     */
    boolean allowSubmit(Long id, Long userId);

    /**
     * 校验任务
     * @param vo 任务VO
     */
    void validate(TaskVO vo);

    /**
     * 是否允许修改任务
     */
    boolean allowUpdateTask(TaskVO vo);

    /**
     * 是否允许取消任务
     */
    boolean allowCancelTask(TaskVO vo);

    /**
     * 是否允许删除所有任务
     */
    boolean allowDelAllTask(List<TaskVO> old);
}
