package com.ruoyi.bst.task.service.impl;

import java.util.stream.Collectors;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.bst.task.domain.TaskVO;
import com.ruoyi.bst.task.domain.enums.TaskStatus;
import com.ruoyi.bst.task.service.TaskConverter;
import com.ruoyi.bst.taskMember.service.TaskMemberConverter;
import com.ruoyi.common.utils.SecurityUtils;

/**
 * @author wjh
 * 2025/1/22
 */
@Service
public class TaskConverterImpl implements TaskConverter {

    @Autowired
    private TaskMemberConverter taskMemberConverter;

    @Override
    public TaskVO toVoByCreate(TaskVO data) {
        if (data == null) {
            return null;
        }
        TaskVO vo = new TaskVO();
        vo.setProjectId(data.getProjectId());
        vo.setType(data.getType());
        vo.setStatus(TaskStatus.WAIT_RECEIVE.getStatus());
        vo.setLevel(data.getLevel());
        vo.setPicture(data.getPicture());
        vo.setCreateId(SecurityUtils.getUserId());
        vo.setExpireTime(data.getExpireTime());
        vo.setDescription(data.getDescription());
        vo.setMemberList(data.getMemberList().stream().map(taskMemberConverter::toVoByCreate).collect(Collectors.toList()));
        return vo;
    }

    @Override
    public TaskVO toVoByUpdate(TaskVO data) {
        if (data == null) {
            return null;
        }
        TaskVO vo = new TaskVO();
        vo.setId(data.getId());
        vo.setProjectId(data.getProjectId());
        vo.setType(data.getType());
        vo.setLevel(data.getLevel());
        vo.setPicture(data.getPicture());
        vo.setExpireTime(data.getExpireTime());
        vo.setDescription(data.getDescription());
        vo.setMemberList(data.getMemberList().stream().map(taskMemberConverter::toVoByUpdate).collect(Collectors.toList()));
        return vo;
    }
}
