package com.ruoyi.bst.taskMember.domain;

import java.time.LocalDateTime;

import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 任务成员对象 bst_task_member
 *
 * @author ruoyi
 * @date 2025-03-06
 */
@Data
@NoArgsConstructor
public class TaskMember extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "任务ID")
    @ApiModelProperty("任务ID")
    private Long taskId;

    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    private Long userId;

    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private String status;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "加入时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("加入时间")
    private LocalDateTime joinTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "接收时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("接收时间")
    private LocalDateTime receiveTime;

    @Excel(name = "最后一次提交的ID")
    @ApiModelProperty("最后一次提交的ID")
    private Long submitId;

}
