package com.ruoyi.bst.taskMember.domain.enums;

import java.util.List;

import com.ruoyi.common.utils.collection.CollectionUtils;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum TaskMemberStatus {
    
    WAIT_RECEIVE("WAIT_RECEIVE", "待接收"),
    PROCESSING("PROCESSING", "进行中"),
    SUBMITED("SUBMITED", "已提交"),
    REJECTED("REJECTED", "已驳回"),
    CANCELED("CANCELED", "已取消");

    private final String status;
    private final String name;


    private static List<String> asList(TaskMemberStatus ...statuses) {
        return CollectionUtils.map(TaskMemberStatus::getStatus, statuses);
    }

    /**
     * 允许接收的成员状态
     */
    public static List<String> canReceive() {
        return asList(WAIT_RECEIVE);
    }

    /**
     * 未提交的成员状态
     */
    public static List<String> unSubmit() {
        return asList(WAIT_RECEIVE, PROCESSING, REJECTED, CANCELED);
    }

    /**
     * 已提交的成员状态
     */
    public static List<String> submited() {
        return asList(SUBMITED);
    }

    /**
     * 已读的成员状态
     */
    public static List<String> received() {
        return asList(PROCESSING, SUBMITED, REJECTED, CANCELED);
    }   


}
