package com.ruoyi.bst.taskMember.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.taskMember.domain.TaskMember;
import com.ruoyi.bst.taskMember.domain.TaskMemberQuery;
import com.ruoyi.bst.taskMember.domain.TaskMemberVO;

/**
 * 任务成员Mapper接口
 *
 * @author ruoyi
 * @date 2025-03-06
 */
public interface TaskMemberMapper
{
    /**
     * 查询任务成员
     *
     * @param id 任务成员主键
     * @return 任务成员
     */
    TaskMemberVO selectTaskMemberById(Long id);

    /**
     * 查询任务成员列表
     *
     * @param query 任务成员
     * @return 任务成员集合
     */
    List<TaskMemberVO> selectTaskMemberList(@Param("query")TaskMemberQuery query);

    /**
     * 新增任务成员
     *
     * @param taskMember 任务成员
     * @return 结果
     */
    int insertTaskMember(TaskMember taskMember);

    /**
     * 批量新增任务成员
     */
    int batchInsert(@Param("list") List<? extends TaskMember> list);

    /**
     * 批量修改任务成员
     */
    int batchUpdate(@Param("list") List<? extends TaskMember> list);

    /**
     * 修改任务成员
     *
     * @param taskMember 任务成员
     * @return 结果
     */
    public int updateTaskMember(@Param("data") TaskMember taskMember);

    /**
     * 删除任务成员
     *
     * @param id 任务成员主键
     * @return 结果
     */
    int deleteTaskMemberById(Long id);

    /**
     * 批量删除任务成员
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTaskMemberByIds(@Param("ids") List<Long> ids);

    /**
     * 根据查询条件更新任务成员
     * @param data 更新数据
     * @param query 查询条件
     * @return 结果
     */
    int updateByQuery(@Param("data") TaskMember data, @Param("query") TaskMemberQuery query);

    /**
     * 根据查询条件查询任务成员数量
     * @param query 查询条件
     * @return 结果
     */
    int selectCount(@Param("query") TaskMemberQuery query);
}
