package com.ruoyi.bst.taskSubmit.service;

import java.util.List;

import com.ruoyi.bst.taskSubmit.domain.TaskSubmit;
import com.ruoyi.bst.taskSubmit.domain.TaskSubmitQuery;
import com.ruoyi.bst.taskSubmit.domain.TaskSubmitVO;
import com.ruoyi.bst.taskSubmit.domain.dto.TaskSubmitRejectDTO;
import com.ruoyi.common.vo.LongIntegerVO;

/**
 * 任务提交记录Service接口
 *
 * @author ruoyi
 * @date 2025-02-08
 */
public interface TaskSubmitService
{
    /**
     * 查询任务提交记录
     *
     * @param id 任务提交记录主键
     * @return 任务提交记录
     */
    public TaskSubmitVO selectTaskSubmitById(Long id);

    /**
     * 查询任务提交记录列表
     *
     * @param taskSubmit 任务提交记录
     * @return 任务提交记录集合
     */
    public List<TaskSubmitVO> selectTaskSubmitList(TaskSubmitQuery taskSubmit);

    /**
     * 新增任务提交记录
     *
     * @param taskSubmit 任务提交记录
     * @return 结果
     */
    public int insertTaskSubmit(TaskSubmit taskSubmit);

    /**
     * 修改任务提交记录
     *
     * @param taskSubmit 任务提交记录
     * @return 结果
     */
    public int updateTaskSubmit(TaskSubmit taskSubmit);

    /**
     * 批量删除任务提交记录
     *
     * @param ids 需要删除的任务提交记录主键集合
     * @return 结果
     */
    public int deleteTaskSubmitByIds(Long[] ids);

    /**
     * 删除任务提交记录信息
     *
     * @param id 任务提交记录主键
     * @return 结果
     */
    public int deleteTaskSubmitById(Long id);

    /**
     * 查询任务提交记录列表
     * @param taskIds 任务ID列表
     * @return 任务提交记录列表
     */
    List<TaskSubmitVO> selectListByTaskIds(List<Long> taskIds);

    /**
     * 审核
     * @param dto
     * @return
     */
    int reject(TaskSubmitRejectDTO dto);

    /**
     * 根据任务id查询提交数量
     * @param query
     * @return
     */
    List<LongIntegerVO> selectCountGroupByTaskId(TaskSubmitQuery query);
}
