package com.ruoyi.bst.taskSubmit.service.impl;

import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.bst.taskMember.domain.TaskMemberVO;
import com.ruoyi.bst.taskMember.service.TaskMemberService;
import com.ruoyi.bst.taskSubmit.domain.TaskSubmitVO;
import com.ruoyi.bst.taskSubmit.service.TaskSubmitAssembler;
import com.ruoyi.common.utils.collection.CollectionUtils;

/**
 * @author wjh
 * 2025/3/7
 */
@Service
public class TaskSubmitAssemblerImpl implements TaskSubmitAssembler {

    @Autowired
    private TaskMemberService taskMemberService;

    @Override
    public void assembleTaskMemberList(List<TaskSubmitVO> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return;
        }

        List<Long> taskIds = CollectionUtils.map(list, TaskSubmitVO::getTaskId);
        List<TaskMemberVO> taskMembers = taskMemberService.selectListByTaskIds(taskIds);

        for (TaskSubmitVO taskSubmit : list) {
            List<TaskMemberVO> taskMemberList = taskMembers.stream()
                .filter(member -> Objects.equals(taskSubmit.getTaskId(), member.getTaskId()))
                .collect(Collectors.toList());
            taskSubmit.setTaskMemberList(taskMemberList);
        }
    }
}
