package com.ruoyi.bst.verify.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.verify.domain.Verify;
import com.ruoyi.bst.verify.domain.VerifyQuery;
import com.ruoyi.bst.verify.domain.VerifyVO;

/**
 * 审核Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-08
 */
public interface VerifyMapper
{
    /**
     * 查询审核
     *
     * @param id 审核主键
     * @return 审核
     */
    VerifyVO selectVerifyById(Long id);

    /**
     * 查询审核列表
     *
     * @param query 审核
     * @return 审核集合
     */
    List<VerifyVO> selectVerifyList(@Param("query")VerifyQuery query);

    /**
     * 新增审核
     *
     * @param verify 审核
     * @return 结果
     */
    int insertVerify(Verify verify);

    /**
     * 批量新增审核
     */
    int batchInsert(@Param("list") List<? extends Verify> list);

    /**
     * 批量修改审核
     */
    int batchUpdate(@Param("list") List<? extends Verify> list);

    /**
     * 修改审核
     *
     * @param verify 审核
     * @return 结果
     */
    public int updateVerify(@Param("data") Verify verify);

    /**
     * 删除审核
     *
     * @param id 审核主键
     * @return 结果
     */
    int deleteVerifyById(Long id);

    /**
     * 批量删除审核
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int logicDel(@Param("ids") List<Long> ids);
}
