package com.ruoyi.dashboard.index.domain.brief;

import com.ruoyi.bst.customer.domain.CustomerQuery;
import com.ruoyi.bst.project.domain.ProjectQuery;
import com.ruoyi.bst.task.domain.TaskQuery;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class BriefQuery {

    @ApiModelProperty("参与人ID")
    private Long joinUserId;

    @ApiModelProperty("数据隔离")
    private Boolean scope;

    @ApiModelProperty("统计数据键值")
    private List<String> keys;

    public ProjectQuery toProjectQuery() {
        ProjectQuery projectQuery = new ProjectQuery();
        projectQuery.setJoinUserId(joinUserId);
        projectQuery.setScope(scope);
        return projectQuery;
    }

    public TaskQuery toTaskQuery() {
        TaskQuery taskQuery = new TaskQuery();
        taskQuery.setOwnerId(joinUserId);
        taskQuery.setScope(scope);
        return taskQuery;
    }

    public CustomerQuery toCustomerQuery() {
        CustomerQuery customerQuery = new CustomerQuery();
        customerQuery.setJoinUserId(joinUserId);
        customerQuery.setScope(scope);
        return customerQuery;
    }

}
