package com.ruoyi.dashboard.index.service;

import com.ruoyi.bst.customer.domain.CustomerQuery;
import com.ruoyi.bst.project.domain.ProjectQuery;
import com.ruoyi.bst.task.domain.TaskQuery;
import com.ruoyi.dashboard.customer.service.DashboardCustomerService;
import com.ruoyi.dashboard.project.service.DashboardProjectService;
import com.ruoyi.dashboard.task.service.DashboardTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.dashboard.index.domain.brief.BriefQuery;
import com.ruoyi.dashboard.index.domain.brief.BriefVO;

@Service
public class DashboardService {

    @Autowired
    private DashboardProjectService dashboardProjectService;

    @Autowired
    private DashboardTaskService dashboardTaskService;

    @Autowired
    private DashboardCustomerService dashboardCustomerService;

    public BriefVO selectBrief(BriefQuery query) {
        BriefVO result = new BriefVO();

        // 项目概览
        ProjectQuery projectQuery = query.toProjectQuery();
        result.setProject(dashboardProjectService.selectProjectBrief(projectQuery, query.getKeys()));

        // 任务概览
        TaskQuery taskQuery = query.toTaskQuery();
        result.setTask(dashboardTaskService.selectTaskBrief(taskQuery, query.getKeys()));

        // 客户概览
        CustomerQuery customerQuery = query.toCustomerQuery();
        result.setCustomer(dashboardCustomerService.selectCustomerBrief(customerQuery, query.getKeys()));

        return result;
    }
}
