package com.ruoyi.web.dashboard;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dashboard.index.domain.brief.BriefQuery;
import com.ruoyi.dashboard.index.service.DashboardService;

@RestController
@RequestMapping("/dashboard")
public class DashboardController extends BaseController {

    @Autowired
    private DashboardService dashboardService;

    // 获取统计数据
    @GetMapping("/brief")
    @PreAuthorize("@ss.hasPermi('dashboard:brief')")
    public AjaxResult brief(BriefQuery query) {
        query.setScope(true);
        return AjaxResult.success(dashboardService.selectBrief(query));
    }


}
