package com.ruoyi.web.dashboard;

import com.ruoyi.bst.project.domain.ProjectQuery;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dashboard.project.domain.monthProject.MonthProjectQuery;
import com.ruoyi.dashboard.project.service.DashboardProjectService;


@RestController
@RequestMapping("/dashboard/project")
public class DashboardProjectController {

    @Autowired
    private DashboardProjectService dashboardProjectService;


    // 获取每月项目数和完成数的数据
    @GetMapping("/month")
    @PreAuthorize("@ss.hasPermi('dashboard:project:month')")
    public AjaxResult month(MonthProjectQuery query) {
        query.setScope(true);
        return AjaxResult.success(dashboardProjectService.selectMonthProject(query));
    }

}
