package com.ruoyi.web.dashboard;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dashboard.task.domain.brief.TaskBriefQuery;
import com.ruoyi.dashboard.task.service.DashboardTaskService;


@RestController
@RequestMapping("/dashboard/task")
public class DashboardTaskController extends BaseController {

    @Autowired
    private DashboardTaskService dashboardTaskService;

    @GetMapping("/brief")
    @PreAuthorize("@ss.hasPermi('dashboard:brief')")
    public AjaxResult brief(TaskBriefQuery query) {
        query.setScope(true);
        return success(dashboardTaskService.selectTaskBrief(query, query.getKeys()));
    }

}
